Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 639684 (CVE-2017-8819, CVE-2017-8820, CVE-2017-8821, CVE-2017-8822, CVE-2017-8823) - <net-vpn/tor-0.3.1.9: Multiple vulnerabilities
Summary: <net-vpn/tor-0.3.1.9: Multiple vulnerabilities
Status: RESOLVED FIXED
Alias: CVE-2017-8819, CVE-2017-8820, CVE-2017-8821, CVE-2017-8822, CVE-2017-8823
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [noglsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-04 01:25 UTC by GLSAMaker/CVETool Bot
Modified: 2018-03-25 19:59 UTC (History)
2 users (show)

See Also:
Package list:
net-vpn/tor-0.3.1.9
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2017-12-04 01:25:41 UTC
CVE-2017-8823 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-8823):
  In Tor before 0.2.5.16, 0.2.6 through 0.2.8 before 0.2.8.17, 0.2.9 before
  0.2.9.14, 0.3.0 before 0.3.0.13, and 0.3.1 before 0.3.1.9, there is a
  use-after-free in onion service v2 during intro-point expiration because the
  expiring list is mismanaged in certain error cases, aka TROVE-2017-013.

CVE-2017-8822 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-8822):
  In Tor before 0.2.5.16, 0.2.6 through 0.2.8 before 0.2.8.17, 0.2.9 before
  0.2.9.14, 0.3.0 before 0.3.0.13, and 0.3.1 before 0.3.1.9, relays (that have
  incompletely downloaded descriptors) can pick themselves in a circuit path,
  leading to a degradation of anonymity, aka TROVE-2017-012.

CVE-2017-8821 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-8821):
  In Tor before 0.2.5.16, 0.2.6 through 0.2.8 before 0.2.8.17, 0.2.9 before
  0.2.9.14, 0.3.0 before 0.3.0.13, and 0.3.1 before 0.3.1.9, an attacker can
  cause a denial of service (application hang) via crafted PEM input that
  signifies a public key requiring a password, which triggers an attempt by
  the OpenSSL library to ask the user for the password, aka TROVE-2017-011.

CVE-2017-8820 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-8820):
  In Tor before 0.2.5.16, 0.2.6 through 0.2.8 before 0.2.8.17, 0.2.9 before
  0.2.9.14, 0.3.0 before 0.3.0.13, and 0.3.1 before 0.3.1.9, remote attackers
  can cause a denial of service (NULL pointer dereference and application
  crash) against directory authorities via a malformed descriptor, aka
  TROVE-2017-010.

CVE-2017-8819 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-8819):
  In Tor before 0.2.5.16, 0.2.6 through 0.2.8 before 0.2.8.17, 0.2.9 before
  0.2.9.14, 0.3.0 before 0.3.0.13, and 0.3.1 before 0.3.1.9, the replay-cache
  protection mechanism is ineffective for v2 onion services, aka
  TROVE-2017-009. An attacker can send many INTRODUCE2 cells to trigger this
  issue.
Comment 1 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-12-04 01:26:36 UTC
@Maintainer please call for stabilization when ready. 

Thank you
Comment 2 Anthony Basile gentoo-dev 2017-12-06 21:12:17 UTC
Its ready KEYWORDS="amd64 arm ppc ppc64 x86"
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2018-03-25 19:59:27 UTC
package is already stable and tree is clean.

GLSA Vote: No